> ## Documentation Index
> Fetch the complete documentation index at: https://docs.datalinks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch an agent's AgentCard

> Returns the A2A AgentCard describing the agent's skills, capabilities, security schemes and JSON-RPC
endpoint. Public (unauthenticated) discovery document.




## OpenAPI

````yaml /api-reference/openapi.yml get /a2a/{agentName}/.well-known/agent-card.json
openapi: 3.0.3
info:
  title: DataLinks
  version: 2.2.3
servers:
  - url: https://api.datalinks.com/api/v1
    description: production server
security:
  - bearerAuth: []
  - openId:
      - implicit
paths:
  /a2a/{agentName}/.well-known/agent-card.json:
    get:
      tags:
        - a2a
      summary: Fetch an agent's AgentCard
      description: >
        Returns the A2A AgentCard describing the agent's skills, capabilities,
        security schemes and JSON-RPC

        endpoint. Public (unauthenticated) discovery document.
      operationId: getA2aAgentCard
      parameters:
        - name: agentName
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The A2A AgentCard (see https://a2a-protocol.org for the schema).
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
        '404':
          $ref: '#/components/responses/NotFound'
      security: []
components:
  responses:
    NotFound:
      description: The requested resource was not found.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  schemas:
    ErrorResponse:
      required:
        - error_code
        - message
      type: object
      properties:
        error_code:
          type: string
          example: UNAUTHORIZED
        error_message:
          type: string
          example: ''
        message:
          type: string
          example: Missing authentication token
        sub_errors:
          type: array
          items:
            required:
              - code
              - message
            type: object
            properties:
              code:
                type: string
              message:
                type: string
  securitySchemes:
    bearerAuth:
      type: http
      description: >
        Use a Bearer token for authentication. Submit the token using the
        `Authorization`

        header: `Authorization: Bearer <token>`.
      scheme: bearer
    openId:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: >-
            https://login.datalinks.com/realms/datalinks-realm/protocol/openid-connect/auth
          scopes:
            openid: openid

````